import 'package:freezed_annotation/freezed_annotation.dart';

part 'headers_model.freezed.dart';
part 'headers_model.g.dart';

@freezed
class HeadersModel with _$HeadersModel {
  factory HeadersModel(
      {@JsonKey(name: "Authorization", required: true)
          required String authToken}) = _HeadersModel;

  factory HeadersModel.fromJson(Map<String, dynamic> json) =>
      _$HeadersModelFromJson(json);
}
