import 'dart:async';

import 'package:flutter/material.dart';

mixin PageRefreshChangeMixin<T extends StatefulWidget> on State<T> {
  StreamSubscription? pageSubcription;
  int pageIndex = 0;

  void callRefreshPage();

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    pageSubcription?.cancel();
    super.dispose();
  }
}
