import 'package:flutter/material.dart';
import 'package:hainong_expert_module/core/data/local/shared_pref_source.dart';
import 'package:hainong_expert_module/presentation/pages/expert_list_page.dart';
import 'package:hainong_expert_module/shared/di/injector.dart';

import 'main.dart';
import 'shared/di/injector.config.dart';

class ExpertCore {
  static initModule(BuildContext context, {required String token}) async {
    await main;
    getIt<SharePrefSource>().cacheAuthToken(authToken: token);
    Navigator.push(
      context,
      MaterialPageRoute(builder: (context) => ExpertListPage()),
    );
  }

  static Future<void> configureDependenciesModule() async {
    await $initGetItModule(getIt);
  }
}
