abstract class AppEvent {}

class Init extends AppEvent {}

class JoinRoomEvent extends AppEvent {
  final String roomId;
  JoinRoomEvent({required this.roomId});
}

class SendCallNotificationEvent extends AppEvent {
  final Map<String, dynamic>? params;
  final String? id;
  final String? name;
  final String? phone;
  final String? email;
  final String? roomName;
  final String? roomId;
  final List<String>? usersId;
  final List<String>? usersToNotify;
  SendCallNotificationEvent(
      {this.params,
      required this.id,
      required this.name,
      required this.phone,
      required this.email,
      this.usersId,
      required this.roomId,
      required this.roomName,
      required this.usersToNotify});
}
