import 'package:flutter/material.dart';
import 'package:hainong_expert_module/core/data/models/fcm_model/fcm_model.dart';

abstract class AppState {}

class initAppState extends AppState {}

class initialAppState extends AppState {
  final Locale locale;
  final bool themeChange;
  initialAppState({required this.locale, required this.themeChange});
}

class JoinRoomSuccess extends AppState {
  final String? token;
  final bool isSendNotify;
  JoinRoomSuccess({required this.token, this.isSendNotify = true});
}

class SendCallSuccess extends AppState {
  final FcmModel? data;
  SendCallSuccess({this.data});
}
